Subject: Re: Bash hanging
From: [email-masked] (Corinna Vinschen)

9 Jan 1999 23:37:08 -0800
Message-ID: <[email-masked]>
References: <AC4D3D80B239D211BC140000F879A2BA0AECBF.cygnus.gnu-win32@NTMAIL>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Christopher G. Faylor" <[email-masked]>, [email-masked]

Christopher G. Faylor wrote:
> 
> In article <AC4D3D80B239D211BC140000F879A2BA0AECBF.cygnus.gnu-win32@NTMAIL>,
> Ian Collins <[email-masked]> wrote:
> >Has anyone noticed bash hanging in b20.1?  It appears to be flow
> >control related.  I tried stty -xoff, but it doesn't seem to solve the
> >problem.
> >
> >It doesn't seem to matter whether it is in the console window, or in a
> >telnet window.  The shell just occasionally just stops.
> 
> It is almost assuredly not flow-control related.
> 
> What does "just stops" mean, exactly?  Does it stop printing a prompt?
> Or is there no response to commands at the prompt.
> 
> If you can reliably duplicate this, then we'll take a stab at fixing it.
> cygcheck output would be useful in this case.

I had reported a similar problem 10 days ago with tcsh and telnet.
If you try Ctrl-S while e.g. a long ls -l listing, the output stops
as expected, but unfortunately you'll never get it to wake up.
This is absolut reproducable!
Neither Ctrl-Q nor Ctrl-C helps. The shell doesn't react to any
key. You have to close the connection. I have tried, to reproduce it
under different circumstances.
The telnetd is out of Sergeys remote package.
Shells are bash, tcsh and pdksh.
Telnet is either NT telnet or Teraterm Version 2.2,
I've tested it with winsup-981223 and winsup-981230:

telnet, system startet with CYGWIN=notty	shell hangs
telnet, system startet with CYGWIN=tty		shell hangs
console, notty					no hangs
console, tty					no hangs

This let me guess, it's a problem with telnetd from Sergeys package.

Regards,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".